#ifndef beeper_h
#define beeper_h

#define BEEPER_PIN 13
// five minute inactivity alarm time
#define INACTIVITY_TIME -300000L

#include <Arduino.h>

class beeper {
  public:
    static bool lowModelVoltage;
    static void initialize(void);
    static uint8_t loop(uint16_t ms, uint8_t screen); // call from main loop with ms = milliseconds elapsed since last call
    static void beep(uint16_t ms); // start beeping for ms milliseconds
    static void activity(); // reset inactivity alarm
  private:
    static uint16_t beepTmr;
    static int32_t inactivityTmr;
    static bool reactivate;
};

#endif
