// use timer1 to provide non-blocking interval with callback to specified method after a specified number of microseconds
// interval can be from a few microseconds up to 4.19424 seconds.  Resolution is 16-bit maximum.  For small intervals, overhead adds about 5 microseconds to the requested time.
// for longer intervals over 4095 microseconds, additional overhead and latency of prescaler may add a few more microseconds.  Usually within the 12 - 20 microsecond range
// ceptimus 2017-04-29
#ifndef timer1callback_h
#define timer1callback_h

#include <Arduino.h>

typedef void (*callbackPtr)(void);

class timer1callback {
public:
  static void callMethodInMicros(callbackPtr callback, uint32_t microseconds);
  static callbackPtr cbPtr;
};
#endif
